/*
1 Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

2 Font weights
400 
500
600
700
900

3 Line heights
Paragraph default: 1.5


4 COLORS
-Primary: #ff3e66

-second: #eef1f6

-border color :#dee2e6

-subtitle color: #495057;


4 BORDER-RADIUS

Default: 9px
app-links btns : 14px

5 WHITESPACE
9.6rem
4.8rem

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

:root {
  --primary-color: #ff3e66;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

img {
  display: block;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  font-family: 'roboto', sans-serif;
  font-size: 1.8rem;
  color: #0e1133;
  overflow-x: hidden;
}

.pink-btn {
  padding: 1rem 2.4rem;
  background-color: white;
  color: #0e1133;
  border: 2px solid #dee2e6;
  border-radius: 10rem;
  transition: all 0.3s;
  display: inline-block;
  text-decoration: none;
  font-size: 1.6rem;
  font-weight: 500;
}

.pink-btn:hover {
  background-color: #ff3e66;
  color: white;
  border: 2px solid #ff3e66;
}

.title-container {
  display: flex;
  flex-direction: column;
}

.main-title {
  font-weight: 900;
  font-size: 4.4rem;
  margin-bottom: 1.6rem;
}

.center-title {
  text-align: center;
}

.sub-title {
  line-height: 1.5;
  color: #495057;
}

.grid-2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid-3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid-4-cols {
  grid-template-columns: repeat(4, 1fr);
}
